import React from "react";

import classNames from "classnames";

import DropDown from "@enact/sandstone/Dropdown";

import css from "./TDropDown.module.less";

export default function TDropDown({
  className,
  children,
  direction = "below",
  size,
  color,
  selectedIndex,
  ...rest
}) {
  return (
    <DropDown
      className={classNames(css.tDropdown, css[size], css[color], className)}
      direction={direction}
      selected={selectedIndex}
      {...rest}
    >
      {children}
    </DropDown>
  );
}
